/* ------------------------------------------------------------------ */
/* REXX program to recreate the objects from the folder               */
/* C:\ARBEITSOBERFLCHE                                               */
/* Created on 21 Sep 2015 at 15:48:09 with GETOBJ.CMD v1.11           */
/* This files contains the data for 1650 objects.                     */
/*                                                                    */
/* Usage: CREOBJ.CMD                                                  */
/*                                                                    */
/* ------------------------------------------------------------------ */


                        /* load the dll REXXUTIL                      */
  call rxFuncAdd "SysLoadFuncs", "REXXUTIL", "SysLoadFuncs"
  call SysLoadFuncs

                        /* ask the user if we should continue         */
  say "REXX program to recreate the 1650 saved objects from the folder"
  say "  C:\ARBEITSOBERFLCHE"
  say "Saved on 21 Sep 2015 at 15:48:09 with GETOBJ.CMD v1.11"
  say ""
  say "Caution: Check this file carefully before using it!!!"
  say ""
  call CharOut , "Press Y to recreate the saved objects ... "
  if translate( SysGetKey( "NOECHO" ) ) <> "Y" then exit
  say ""

  i = 0
  objects.0 = i
                        /* stem elements for the folder               */

  i=i+1;
  objects.i.__Title    = "Verbindungen"
  objects.i.__Class    = "WPFolder"
  objects.i.__Setup    = "ICONVIEW=NONGRID,NORMAL;" ||,
                         "TREEVIEW=LINES,VISIBLE,MINI;DEFAULTSORT=-2;" ||,
                         "ALWAYSSORT=NO;TITLE=Verbindungen;NOPRINT=YES;" ||,
                         "HIDEBUTTON=DEFAULT;MINWIN=DEFAULT;CCVIEW=DEFAULT;" ||,
                         "DEFAULTVIEW=TREE;OBJECTID=<WP_CONNECTIONSFOLDER>;"
  objects.i.__location = "<WP_DESKTOP>"

  i=i+1;
  objects.i.__Title    = "Netzwerk"
  objects.i.__Class    = "WPNetwork"
  objects.i.__Setup    = "ICONVIEW=NONGRID,NORMAL;" ||,
                         "TREEVIEW=LINES,VISIBLE,MINI;DEFAULTSORT=-2;" ||,
                         "ALWAYSSORT=NO;TITLE=Netzwerk;NOCOPY=YES;" ||,
                         "NODELETE=YES;NOPRINT=YES;HELPPANEL=30000;" ||,
                         "HIDEBUTTON=DEFAULT;MINWIN=DEFAULT;CCVIEW=DEFAULT;" ||,
                         "DEFAULTVIEW=ICON;OBJECTID=<WP_NETWORK>;"
  objects.i.__location = "<WP_CONNECTIONSFOLDER>"

  i=i+1;
  objects.i.__Title    = "LAN Requester^Ressourcen-Browser"
  objects.i.__Class    = "WPNetgrp"
  objects.i.__Setup    = "NETID=LS;ICONVIEW=NONGRID,NORMAL;" ||,
                         "TREEVIEW=LINES,VISIBLE,MINI;DEFAULTSORT=-2;" ||,
                         "ALWAYSSORT=NO;" ||,
                         "TITLE=LAN Requester^Ressourcen-Browser;NOMOVE=YES;" ||,
                         "NOCOPY=YES;NOPRINT=YES;HIDEBUTTON=DEFAULT;" ||,
                         "MINWIN=DEFAULT;CCVIEW=DEFAULT;DEFAULTVIEW=ICON;"
  objects.i.__location = "<WP_NETWORK>"

  i=i+1;
  objects.i.__Title    = "Netzwerkdienste"
  objects.i.__Class    = "WPFolder"
  objects.i.__Setup    = "ICONVIEW=NONGRID,NORMAL;" ||,
                         "TREEVIEW=LINES,VISIBLE,MINI;DEFAULTSORT=-2;" ||,
                         "ALWAYSSORT=NO;TITLE=Netzwerkdienste;NOPRINT=YES;" ||,
                         "HIDEBUTTON=DEFAULT;MINWIN=DEFAULT;CCVIEW=DEFAULT;" ||,
                         "DEFAULTVIEW=DEFAULT;OBJECTID=<WC_NETSERV>;"
  objects.i.__location = "<WP_NETWORK>"

  i=i+1;
  objects.i.__Title    = "Anmeldungen"
  objects.i.__Class    = "WPFolder"
  objects.i.__Setup    = "ICONVIEW=NONGRID,NORMAL;" ||,
                         "TREEVIEW=LINES,VISIBLE,MINI;DEFAULTSORT=-2;" ||,
                         "ALWAYSSORT=NO;TITLE=Anmeldungen;NOPRINT=YES;" ||,
                         "HELPPANEL=302;HIDEBUTTON=DEFAULT;MINWIN=DEFAULT;" ||,
                         "CCVIEW=DEFAULT;DEFAULTVIEW=DEFAULT;" ||,
                         "OBJECTID=<LS_FOLDER>;"
  objects.i.__location = "<WC_NETSERV>"

  i=i+1;
  objects.i.__Title    = "LAN Server^Prfprotokolldienstprogramm"
  objects.i.__Class    = "WPProgram"
  objects.i.__Setup    = "EXENAME=C:\IBMLAN\NETPROG\LSAUDIT.EXE;" ||,
                         "STARTUPDIR=C:\IBMLAN\LOGS;" ||,
                         "TITLE=LAN Server^Prfprotokolldienstprogramm;" ||,
                         "NOPRINT=YES;HELPPANEL=323;HIDEBUTTON=DEFAULT;" ||,
                         "MINWIN=DEFAULT;CCVIEW=DEFAULT;DEFAULTVIEW=DEFAULT;" ||,
                         "OBJECTID=<LS_AUDIT>;"
  objects.i.__location = "<WP_TOOLS>"

  i=i+1;
  objects.i.__Title    = "LAN Server^Fehlerprotokolldienstprogramm"
  objects.i.__Class    = "WPProgram"
  objects.i.__Setup    = "EXENAME=C:\IBMLAN\NETPROG\LSERROR.EXE;" ||,
                         "STARTUPDIR=C:\IBMLAN\LOGS;" ||,
                         "TITLE=LAN Server^Fehlerprotokolldienstprogramm;" ||,
                         "NOPRINT=YES;HELPPANEL=322;HIDEBUTTON=DEFAULT;" ||,
                         "MINWIN=DEFAULT;CCVIEW=DEFAULT;DEFAULTVIEW=DEFAULT;" ||,
                         "OBJECTID=<LS_ERROR>;"
  objects.i.__location = "<WP_TOOLS>"

  i=i+1;
  objects.i.__Title    = "Netzwerk-DDE und^gemeinsame Zwischenablage"
  objects.i.__Class    = "WPProgram"
  objects.i.__Setup    = "EXENAME=C:\IBMLAN\NETPROG\NWDDE.EXE;" ||,
                         "STARTUPDIR=C:\IBMLAN\NETPROG;" ||,
                         "TITLE=Netzwerk-DDE und^gemeinsame Zwischenablage;" ||,
                         "NOPRINT=YES;HELPPANEL=304;HIDEBUTTON=DEFAULT;" ||,
                         "MINWIN=DEFAULT;CCVIEW=DEFAULT;DEFAULTVIEW=DEFAULT;" ||,
                         "OBJECTID=<LS_CLIP>;"
  objects.i.__location = "<WP_TOOLS>"

  i=i+1;
  objects.i.__Title    = "Netzwerknachrichtendienste"
  objects.i.__Class    = "WPProgram"
  objects.i.__Setup    = "EXENAME=C:\IBMLAN\NETPROG\NETMSG.EXE;" ||,
                         "STARTUPDIR=C:\IBMLAN\NETPROG;" ||,
                         "TITLE=Netzwerknachrichtendienste;NOPRINT=YES;" ||,
                         "HELPPANEL=305;HIDEBUTTON=DEFAULT;MINWIN=DEFAULT;" ||,
                         "CCVIEW=DEFAULT;DEFAULTVIEW=DEFAULT;" ||,
                         "OBJECTID=<LS_NETMSG>;"
  objects.i.__location = "<WP_TOOLS>"

  i=i+1;
  objects.i.__Title    = "MPTS^Netzwerkadapter^und Protokolldienste"
  objects.i.__Class    = "WPProgram"
  objects.i.__Setup    = "EXENAME=MPTS.EXE;PROGTYPE=PM;" ||,
                         "TITLE=MPTS^Netzwerkadapter^und Protokolldienste;" ||,
                         "NOPRINT=YES;HIDEBUTTON=DEFAULT;MINWIN=DEFAULT;" ||,
                         "CCVIEW=DEFAULT;DEFAULTVIEW=DEFAULT;" ||,
                         "OBJECTID=<NTS_MPTS_ICON>;"
  objects.i.__location = "<WP_CONFIG>"

  i=i+1;
  objects.i.__Title    = "DHCP-berwachung"
  objects.i.__Class    = "WPProgram"
  objects.i.__Setup    = "EXENAME=DHCPMON.EXE;TITLE=DHCP-berwachung;" ||,
                         "NOPRINT=YES;HIDEBUTTON=DEFAULT;MINWIN=DEFAULT;" ||,
                         "CCVIEW=DEFAULT;DEFAULTVIEW=DEFAULT;" ||,
                         "OBJECTID=<WS_DHCP_MONITOR>;"
  objects.i.__location = "<WP_CONFIG>"

  i=i+1;
  objects.i.__Title    = "DDNS^Konfiguration"
  objects.i.__Class    = "WPProgram"
  objects.i.__Setup    = "EXENAME=DDNSCFG.EXE;TITLE=DDNS^Konfiguration;" ||,
                         "NOPRINT=YES;HIDEBUTTON=DEFAULT;MINWIN=DEFAULT;" ||,
                         "CCVIEW=DEFAULT;DEFAULTVIEW=DEFAULT;" ||,
                         "OBJECTID=<MPTS_DDNS_OBJECT_SETUP>;"
  objects.i.__location = "<WP_CONFIG>"

  i=i+1;
  objects.i.__Title    = "Anmelden"
  objects.i.__Class    = "WPProgram"
  objects.i.__Setup    = "EXENAME=C:\MUGLIB\LOGON.EXE;STARTUPDIR=C:\MUGLIB;" ||,
                         "PROGTYPE=PM;TITLE=Anmelden;NOPRINT=YES;" ||,
                         "HELPPANEL=308;HIDEBUTTON=DEFAULT;MINWIN=DESKTOP;" ||,
                         "CCVIEW=DEFAULT;DEFAULTVIEW=DEFAULT;" ||,
                         "OBJECTID=<UPM_LOGON>;"
  objects.i.__location = "<UPM_FOLDER>"

  i=i+1;
  objects.i.__Title    = "Abmelden"
  objects.i.__Class    = "WPProgram"
  objects.i.__Setup    = "EXENAME=C:\MUGLIB\LOGOFF.EXE;STARTUPDIR=C:\MUGLIB;" ||,
                         "PROGTYPE=PM;PARAMETERS=/L;TITLE=Abmelden;" ||,
                         "NOPRINT=YES;HELPPANEL=309;HIDEBUTTON=DEFAULT;" ||,
                         "MINWIN=DESKTOP;CCVIEW=DEFAULT;DEFAULTVIEW=DEFAULT;" ||,
                         "OBJECTID=<UPM_LOGOFF>;"
  objects.i.__location = "<UPM_FOLDER>"

  i=i+1;
  objects.i.__Title    = "Benutzereintragsverwaltung"
  objects.i.__Class    = "WPProgram"
  objects.i.__Setup    = "EXENAME=C:\MUGLIB\UPMACCTS.EXE;PROGTYPE=PM;" ||,
                         "TITLE=Benutzereintragsverwaltung;NOPRINT=YES;" ||,
                         "HELPPANEL=310;HIDEBUTTON=DEFAULT;MINWIN=DESKTOP;" ||,
                         "CCVIEW=DEFAULT;DEFAULTVIEW=DEFAULT;" ||,
                         "OBJECTID=<UPM_ACCTS>;"
  objects.i.__location = "<UPM_FOLDER>"

  i=i+1;
  objects.i.__Title    = "LAN Freigaben"
  objects.i.__Class    = "LSPeerWorkstation"
  objects.i.__Setup    = "TITLE=LAN Freigaben;NOPRINT=YES;" ||,
                         "HIDEBUTTON=DEFAULT;MINWIN=DEFAULT;CCVIEW=DEFAULT;" ||,
                         "DEFAULTVIEW=SETTINGS;" ||,
                         "OBJECTID=<NEWMERLIN_WKST_OBJECT>;"
  objects.i.__location = "<WC_NETSERV>"

  i=i+1;
  objects.i.__Title    = "LAN Server^Verwaltung"
  objects.i.__Class    = "WPProgram"
  objects.i.__Setup    = "EXENAME=C:\IBMLAN\NETPROG\NETGUI.EXE;" ||,
                         "STARTUPDIR=C:\IBMLAN\NETPROG;" ||,
                         "TITLE=LAN Server^Verwaltung;NOPRINT=YES;" ||,
                         "HELPPANEL=321;HIDEBUTTON=DEFAULT;MINWIN=DEFAULT;" ||,
                         "CCVIEW=DEFAULT;DEFAULTVIEW=DEFAULT;" ||,
                         "OBJECTID=<LS_ADMIN>;"
  objects.i.__location = "<WC_NETSERV>"

  i=i+1;
  objects.i.__Title    = "Starten^LAN Requester-Dienste"
  objects.i.__Class    = "WPProgram"
  objects.i.__Setup    = "EXENAME=C:\IBMLAN\NETPROG\NETSTCMD.CMD;" ||,
                         "STARTUPDIR=C:\IBMLAN\NETPROG;" ||,
                         "PROGTYPE=WINDOWABLEVIO;PARAMETERS=START PEER;" ||,
                         "TITLE=Starten^LAN Requester-Dienste;NOPRINT=YES;" ||,
                         "HELPPANEL=307;HIDEBUTTON=DEFAULT;MINWIN=DESKTOP;" ||,
                         "CCVIEW=DEFAULT;DEFAULTVIEW=DEFAULT;" ||,
                         "OBJECTID=<LS_START>;"
  objects.i.__location = "<LS_FOLDER>"

  i=i+1;
  objects.i.__Title    = "Network User Account"
  objects.i.__Class    = "LSPeerUser"
  objects.i.__Setup    = "TITLE=Network User Account;NOPRINT=YES;" ||,
                         "HIDEBUTTON=DEFAULT;MINWIN=DEFAULT;CCVIEW=DEFAULT;" ||,
                         "DEFAULTVIEW=SETTINGS;" ||,
                         "OBJECTID=<NEWMERLIN_USER_OBJECT>;"
  objects.i.__location = "<LS_FOLDER>"

  objects.0 = i


                        /* now create the objects                     */
  errorCounter = 0
  okCounter = 0

  do i = 1 to objects.0
    say " Creating the object """ || objects.i.__title || """ ..."
    if SysCreateObject( objects.i.__class       ,,
                        objects.i.__title       ,,
                        objects.i.__location    ,,
                        objects.i.__setup       ,,
                        "UPDATE" ) <> 1 then
    do
      errorCounter = errorCounter + 1
      say "  *** Warning: Can not create the object """ || ,
          objects.i.__title || """ (Index=" || i || ")!"
    end /* if SysCreateObject( ... */
    else
      okCounter = okCounter + 1
  end /* do i = 1 to objects.0 */

  say okCounter || " object(s) created, " || ,
      errorCounter || " object creation(s) failed."

exit

